Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Typedefs | Variables
loadpath.c File Reference
`#include "verconf.h"`
`#include "ruby/ruby.h"`
`#include "version.h"`

Go to the source code of this file.

## Macros
#define | RUBY_REVISION 0
#define | RUBY_ARCH RUBY_PLATFORM
#define | RUBY_SITEARCH RUBY_ARCH
#define | RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION
#define | RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION

## Typedefs
typedef char | ruby_lib_version_string[(int) sizeof(RUBY_LIB_VERSION) - 2]

## Variables
const char | ruby_exec_prefix [] = RUBY_EXEC_PREFIX
const char | ruby_initial_load_paths []

## Macro Definition Documentation

## ◆ RUBY_ARCH

#define RUBY_ARCH RUBY_PLATFORM

Definition at line 20 of file loadpath.c.

## ◆ RUBY_REVISION

#define RUBY_REVISION 0

Definition at line 16 of file loadpath.c.

## ◆ RUBY_SITE_LIB2

#define RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION

Definition at line 46 of file loadpath.c.

## ◆ RUBY_SITEARCH

#define RUBY_SITEARCH RUBY_ARCH

Definition at line 23 of file loadpath.c.

## ◆ RUBY_VENDOR_LIB2

#define RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION

Definition at line 47 of file loadpath.c.

## Typedef Documentation

## ◆ ruby_lib_version_string

typedef char ruby_lib_version_string[(int) sizeof(RUBY_LIB_VERSION) - 2]

Definition at line 41 of file loadpath.c.

## Variable Documentation

## ◆ ruby_exec_prefix

const char ruby_exec_prefix[] = RUBY_EXEC_PREFIX

Definition at line 59 of file loadpath.c.

## ◆ ruby_initial_load_paths

const char ruby_initial_load_paths[]

Initial value:
=
RUBY_SITE_LIB2 "\0"
RUBY_SITE_ARCH_LIB_FOR(RUBY_SITEARCH) "\0"
RUBY_SITE_LIB "\0"
RUBY_VENDOR_LIB2 "\0"
RUBY_VENDOR_ARCH_LIB_FOR(RUBY_SITEARCH) "\0"
RUBY_VENDOR_LIB "\0"
RUBY_LIB "\0"
RUBY_ARCH_LIB_FOR(RUBY_ARCH) "\0"
""

Definition at line 62 of file loadpath.c.

RUBY_LIB
#define RUBY_LIB
Definition: verconf.h:8
RUBY_SITE_ARCH_LIB_FOR
#define RUBY_SITE_ARCH_LIB_FOR(arch)
Definition: verconf.h:11
RUBY_ARCH
#define RUBY_ARCH
Definition: loadpath.c:20
RUBY_SITE_LIB
#define RUBY_SITE_LIB
Definition: verconf.h:10
RUBY_VENDOR_LIB2
#define RUBY_VENDOR_LIB2
Definition: loadpath.c:47
RUBY_SITE_LIB2
#define RUBY_SITE_LIB2
Definition: loadpath.c:46
RUBY_SITEARCH
#define RUBY_SITEARCH
Definition: loadpath.c:23
RUBY_VENDOR_LIB
#define RUBY_VENDOR_LIB
Definition: verconf.h:12
RUBY_ARCH_LIB_FOR
#define RUBY_ARCH_LIB_FOR(arch)
Definition: verconf.h:9
RUBY_VENDOR_ARCH_LIB_FOR
#define RUBY_VENDOR_ARCH_LIB_FOR(arch)
Definition: verconf.h:13